Upstream information

CVE-2021-20208 at MITRE

Description

A flaw was found in cifs-utils in versions before 6.13. A user when mounting a krb5 CIFS file system from within a container can use Kerberos credentials of the host. The highest threat from this vulnerability is to data confidentiality and integrity.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.9
Vector AV:N/AC:M/Au:S/C:P/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.1 6.1
Vector CVSS:3.1/AV:L/AC:H/PR:L/UI:R/S:C/C:L/I:H/A:N CVSS:3.1/AV:L/AC:H/PR:L/UI:R/S:C/C:L/I:H/A:N
Access Vector Local Local
Access Complexity High High
Privileges Required Low Low
User Interaction Required Required
Scope Changed Changed
Confidentiality Impact Low Low
Integrity Impact High High
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1183239 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-SP2-CHOST-BYOS-Aliyun
Image SLES15-SP2-CHOST-BYOS-Azure
Image SLES15-SP2-CHOST-BYOS-EC2
Image SLES15-SP2-CHOST-BYOS-GCE
Image SLES15-SP3-CHOST-BYOS-Aliyun
Image SLES15-SP3-CHOST-BYOS-Azure
Image SLES15-SP3-CHOST-BYOS-EC2
Image SLES15-SP3-CHOST-BYOS-GCE
  • cifs-utils >= 6.9-5.9.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • cifs-utils >= 6.9-3.14.1
  • cifs-utils-devel >= 6.9-3.14.1
Patchnames:
SUSE-SLE-Product-HPC-15-2021-1455
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • cifs-utils >= 6.9-5.9.1
  • cifs-utils-devel >= 6.9-5.9.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2021-1161
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • cifs-utils >= 6.9-5.12.1
  • cifs-utils-devel >= 6.9-5.12.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • pam_cifscreds >= 6.9-5.9.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-1161
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • cifs-utils >= 6.9-13.14.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2021-1159
SUSE Linux Enterprise Server 15-LTSS
  • cifs-utils >= 6.9-3.14.1
  • cifs-utils-devel >= 6.9-3.14.1
Patchnames:
SUSE-SLE-Product-SLES-15-2021-1455
SUSE Linux Enterprise Server for SAP Applications 15
  • cifs-utils >= 6.9-3.14.1
  • cifs-utils-devel >= 6.9-3.14.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2021-1455
SUSE Linux Enterprise Software Development Kit 12 SP5
  • cifs-utils-devel >= 6.9-13.14.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2021-1159
openSUSE Leap 15.2
  • cifs-utils >= 6.9-lp152.2.3.1
  • cifs-utils-debuginfo >= 6.9-lp152.2.3.1
  • cifs-utils-debugsource >= 6.9-lp152.2.3.1
  • cifs-utils-devel >= 6.9-lp152.2.3.1
  • pam_cifscreds >= 6.9-lp152.2.3.1
  • pam_cifscreds-debuginfo >= 6.9-lp152.2.3.1
Patchnames:
openSUSE-2021-639
openSUSE Tumbleweed
  • cifs-utils >= 6.13-1.3
  • cifs-utils-devel >= 6.13-1.3
  • pam_cifscreds >= 6.13-1.3
Patchnames:
openSUSE Tumbleweed GA cifs-utils-6.13-1.3


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 cifs-utils Released
SUSE CaaS Platform 4.0 cifs-utils Released
SUSE Enterprise Storage 6 cifs-utils Released
SUSE Linux Enterprise High Performance Computing 12 SP5 cifs-utils Released
SUSE Linux Enterprise High Performance Computing 15 LTSS cifs-utils Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS cifs-utils Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 cifs-utils Released
SUSE Linux Enterprise Point of Service 11 SP3 cifs-utils Not affected
SUSE Linux Enterprise Point of Service Image Server 12 cifs-utils Unsupported
SUSE Linux Enterprise Server 11 SP4 LTSS cifs-utils Not affected
SUSE Linux Enterprise Server 12 SP2 BCL cifs-utils Released
SUSE Linux Enterprise Server 12 SP2 ESPOS cifs-utils Unsupported
SUSE Linux Enterprise Server 12 SP2 LTSS cifs-utils In progress
SUSE Linux Enterprise Server 12 SP2 LTSS ERICSSON cifs-utils Released
SUSE Linux Enterprise Server 12 SP2 LTSS SAP cifs-utils Released
SUSE Linux Enterprise Server 12 SP3 BCL cifs-utils Released
SUSE Linux Enterprise Server 12 SP3 ESPOS cifs-utils Released
SUSE Linux Enterprise Server 12 SP3 LTSS cifs-utils Released
SUSE Linux Enterprise Server 12 SP4 ESPOS cifs-utils Released
SUSE Linux Enterprise Server 12 SP4 LTSS cifs-utils Released
SUSE Linux Enterprise Server 12 SP5 cifs-utils Released
SUSE Linux Enterprise Server 15 LTSS cifs-utils Released
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux cifs-utils Released
SUSE Linux Enterprise Server 15 SP1 LTSS cifs-utils Released
SUSE Linux Enterprise Server ESPOS 15 cifs-utils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 cifs-utils Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 cifs-utils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 cifs-utils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 cifs-utils Released
SUSE Linux Enterprise Server for SAP Applications 15 cifs-utils Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 cifs-utils Released
SUSE Linux Enterprise Software Development Kit 12 SP5 cifs-utils Released
SUSE Manager Proxy 4.0 cifs-utils Released
SUSE Manager Retail Branch Server 4.0 cifs-utils Released
SUSE Manager Server 4.0 cifs-utils Released
SUSE OpenStack Cloud 7 cifs-utils In progress
SUSE OpenStack Cloud 8 cifs-utils Released
SUSE OpenStack Cloud 9 cifs-utils Released
SUSE OpenStack Cloud Crowbar 8 cifs-utils Released
SUSE OpenStack Cloud Crowbar 9 cifs-utils Released